package dk.itu.mario.level.grammar;

public class ProductionRule {
	private Variable lhs;
	private Clause rhs;
	
	public ProductionRule(Variable lhs, Clause... rhs) {
		this.lhs = lhs;
		if (rhs.length == 1) {
			this.rhs = rhs[0];
		} else {
			this.rhs = new AndClause(rhs);
		}
	}
	
	public Variable getLHS() {
		return lhs;
	}
	
	public Clause getRHS() {
		return rhs;
	}
}